Bug 41726 - Signed cell offsets are not implemented for shared formulas
Signed cell offsets are not implemented for shared formulas
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: HSSF
3.0-dev
Other other
: P2 normal (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-02-28 05:15 UTC by Christian Eckerle
Modified: 2008-01-22 06:49 UTC (History)
0 users



Attachments
Patch for the bug (6.82 KB, patch)
2007-02-28 05:17 UTC, Christian Eckerle
Details | Diff
Improved patch (6.92 KB, patch)
2008-01-17 07:52 UTC, Christian Eckerle
Details | Diff
Test case (6.42 KB, application/zip)
2008-01-17 07:54 UTC, Christian Eckerle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Eckerle 2007-02-28 05:15:54 UTC
According to the openoffice.org Excel file format specification (http://sc.openoffice.org/
excelfileformat.pdf), section 4.3.1, method [B] the relative cell addresses in Areas and References have to 
be interpreted as signed and relative to the current cell when contained in a shared formula.
Comment 1 Christian Eckerle 2007-02-28 05:17:24 UTC
Created attachment 19650 [details]
Patch for the bug
Comment 2 Nick Burch 2008-01-09 05:59:24 UTC
Before we can apply the patch, we'll need to have a test for it. Unfortunately,
I don't quite understand what's currently wrong, so I can't write one...

Any chance you could upload a quick file that shows up the bug, and ideally also
a quick unit test that shows we're giving the wrong formula values? Once we have
that, we can commit the patch and know it's all working properly.
Comment 3 Christian Eckerle 2008-01-17 07:52:35 UTC
Created attachment 21400 [details]
Improved patch
Comment 4 Christian Eckerle 2008-01-17 07:54:04 UTC
Created attachment 21401 [details]
Test case
Comment 5 Nick Burch 2008-01-22 06:49:15 UTC
Thanks for the testcase, I've applied it to svn trunk